--德州结算界面手牌标识位置
local ResultCardFlag = {
	["CardFlag"] = { x = 8, y = 8,},
}

local function GetHeldCardFlag(Axis) 
	return ResultCardFlag["CardFlag"][Axis] 
end

local LearnPublicCardsPos = {
	[0] = {x = 468, y = 1640, z = -1100, rotatex = -90},
	[1] = {x = 508, y = 1640, z = -1100, rotatex = -90},
	[2] = {x = 548, y = 1640, z = -1100, rotatex = -90},
	[3] = {x = 588, y = 1640, z = -1100, rotatex = -90},
	[4] = {x = 628, y = 1640, z = -1100, rotatex = -90},
}


local function GetLearnPublicCardsPos(i,Axis)
	return LearnPublicCardsPos[i][Axis]
end

-- 限额信息
local BetLimit = {
-- 筹码桌
[3] = {
[10000] = 2000000,
[100000] = 20000000,
[1000000] = 200000000,
[10000000] = 2000000000,
[100000000] = 20000000000,
[5000000] = 1000000000,
[50000000] = 10000000000,
},
}

local function GetBetLimit(lhs, rhs, default)
    local t1 = BetLimit[lhs]
    
    if (t1 ~= nil) then
        
        local t2 = t1[rhs]
        
        if (t2 ~= nil) then 
            return t2
        end
    end
    
    return default
end

-- 游戏内赌桌外观类型
-- 索引值与TexasHoldEm.ini中的TexasTableIndexXXX一样
-- 无配置为默认外观，1为新外观
local TableLook = {
    [448] = 1,
    [606] = 1,
    [607] = 1,
    [608] = 1,
    [609] = 1,
    [610] = 1,
    [620] = 1,


}

local function GetTableLook(index)
    local value = TableLook[index]

    if (value == nil) then
        return 0
    end

    return value
end

-- 发牌员 
local Dealer = { 
["info"] = { look = 707, scale = 1.55, x = 40, y = 50, h=500, rotatex=-90, rotatez = 0}, 
["action"] = { deal = 1072, bet = 1073, over = 1074} -- 发牌，下注、结束动作 
} 

local EffectInfo = {
	-- x、y、z：光效偏移坐标
	-- rotatex、rotatey、rotatez：光效旋转角度(弧度)
	[255] = {
		["BannerEffect"] = { x=520, z=500, y=-200, rotatex = -1.57,  },
		["ChipInEffect"] = { x=500, z=500, y=-200,  },
		["LostChipEffect"] = { x=500, z=500, y=-200,  },
		["DealtTypeEffect"] = { x=680, z=395, scale=0.8, y=-200, rotatex = -1.57 },
		["PotRaiseEffect"] = { x=350, z=350, y=-200,  },
		["ChipAppendEffect"] = { x=500, z=30,scale=0.6, y=-200, rotatex = -1.57 },
		["Arrow"] = { rotatex = -1.57, y=-200, },
		["winner"] = { rotatex = -1.57, x=520, z=500, y=-200, },

	},
	[0] = {
		["Arrow"] = {x=8, z=-140, rotatex = -1.57 },
		["card_arrowhead"]= {x=-2, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=0, z=-120,scale=0.8, y=-200, rotatex = -1 },
		["Winner"] = {x=-2, z=-140, y=-200, rotatex = -0.57},

	},

	[1] = {
		["Arrow"] = {x=8, z=-140, rotatex = -1.57 },
		["card_arrowhead"]= {x=-11, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=230, z=-120,scale=0.8, y=-200, rotatex = -1 },
                ["Winner"] = {x=8, z=-320, y=-200, rotatex = -0.57},
	},

	[2] = {
		["Arrow"] = {x=20, z=-75, rotatex = -1.57 },
		["card_arrowhead"]= {x=-2, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=390, z=60,scale=0.8, y=-200, rotatex = -1 },
		["Winner"] = {x=-2, z=-300, y=-200, rotatex = -0.57},

	},

	[3] = {
		["Arrow"] = {x=0, z=-100, rotatex = -1.57 },
		["card_arrowhead"]= {x=-10, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=390, z=260,scale=0.8, y=-200, rotatex = -1 },
		["Winner"] = {x=-10, z=-300, y=-200, rotatex = -0.57},

	},
	[4] = {
		["Arrow"] = {x=0, z=-45, rotatex = -1.57 },
		["card_arrowhead"]= {x=-15, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=220, z=430,scale=0.8, y=-200, rotatex = -1 },
		["Winner"] = {x=-15, z=-330, y=-200, rotatex = -0.57},

	},
	[5] = {
		["Arrow"] = {x=0, z=-65, rotatex = -1.57 },
		["card_arrowhead"]= {x=13, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=-150, z=460,scale=0.8, y=-200, rotatex = -1 },
		["Winner"] = {x=13, z=-330, y=-200, rotatex = -0.57},

	},
	[6] = {
		["Arrow"] = {x=15, z=-80, rotatex = -1.57 },
		["card_arrowhead"]= {x=8, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=-370, z=330,scale=0.8, y=-200, rotatex = -1 },
		["Winner"] = {x=8, z=-300, y=-200, rotatex = -0.57},

	},
	[7] = {
		["Arrow"] = {x=0, z=-65, rotatex = -1.57 },
		["card_arrowhead"]= {x=8, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=-400, z=80,scale=0.8, y=-200, rotatex = -1 },
		["Winner"] = {x=8, z=-300, y=-200, rotatex = -0.57},

	},
	[8] = {
		["Arrow"] = {x=5, z=-140, rotatex = -1.57 },
		["card_arrowhead"]= {x=12, z=-140, rotatex = -1.57 },
		["ChipAppendEffect"] = { x=-250, z=-120,scale=0.8, y=-200, rotatex = -1 },
		["Winner"] = {x=12, z=-320, y=-200, rotatex = -0.57},

	},

}


local function GetUnitEffectInfo(index, title, titleBase, key, default)
	local t1 = EffectInfo[index]

	if (t1 ~= nil) then
		local t2 = t1[title]
		local ret = nil

		if (t2 ~= nil) then
			ret = t2[key]
		end

		if (ret == nil) then
			t2 = t1[titleBase]

			if (t2 ~= nil) then
				ret = t2[key]
			end
		end

		if (ret ~= nil) then
			return ret
		end
	end

	return default
end

-- 作用：获取德州光效信息
-- 参数：
--	index：桌子索引-0~3
--	title：光效title，对应3deffect.ini
--	titleBase：title取不到值时用titleBase
--	key：键值
--	default：默认值
local function GetEffectInfo(index, title, titleBase, key, default)
	local ret = GetUnitEffectInfo(index, title, titleBase, key, nil)

	if (ret == nil) then
		ret = GetUnitEffectInfo(255, title, titleBase, key, default)
	end

	return ret
end

-- 落座玩家休闲动作 
local ChairRoleIdleAction = { 
["sit"] = {224, 225, 226, 227,}, -- 坐着随机动作配置 
["stand"] = {224, 225, 226, 227,},-- 站着随机动作配置 
} 

--落座玩家休闲动作 
local function GetChairRoleIdleAction(bstand) 
if (bstand) then 
return ChairRoleIdleAction["stand"][math.random(1,4)] 
else 
return ChairRoleIdleAction["sit"][math.random(1,4)] 
end 
end 

--落座玩家休闲动作定时器 
local function GetChairRoleIdleActionTime(Axis) 
return math.random(3,8) * 1000 
end 

-- 筹码下注
local Table = {
	NpcSofaLook = 4834,
	["TableBg"] = {"Squeezer_AdvancedBackBG", "Squeezer_AdvancedBackBG"},
	["TableBgPos"] = {x = 0, y = 0},
}

local Cards = {
--"Heart", "Spade", "Club", "Square"
	Scale = 5,
	[0] = {10079, 10080, 10081, 10082, 10083, 10084, 10085, 10086, 10087, 10088, 10089, 10090, 10078},
	[1] = {10066, 10067, 10068, 10069, 10070, 10071, 10072, 10073, 10074, 10075, 10076, 10077, 10065},
	[2] = {10092, 10093, 10094, 10095, 10096, 10097, 10098, 10099, 10100, 10101, 10102, 10103, 10091},
	[3] = {10053, 10054, 10055, 10056, 10057, 10058, 10059, 10060, 10061, 10062, 10063, 10064, 10052},
	[-1] = {10051},
}

local PublicCardsPos = {
	[0] = {x = 410, y = 1640, z = -1100, rotatex = -90},
	[1] = {x = 460, y = 1640, z = -1100, rotatex = -90},
	[2] = {x = 510, y = 1640, z = -1100, rotatex = -90},
	[3] = {x = 560, y = 1640, z = -1100, rotatex = -90},
	[4] = {x = 610, y = 1640, z = -1100, rotatex = -90},
}

local HandCardsPos = {
	[0] = {{x = 560, y = 1550, z = -900, rotatex = -130, rotatez = -90},{x = 570, y = 1550, z = -900, rotatex = -130, rotatez = -100}},
	[1] = {{x = 300, y = 1330, z = -800, rotatex = -90, rotatez = -90},{x = 310, y = 1330, z = -800, rotatex = -90, rotatez = -100}},
	[2] = {{x = 280, y = 1430, z = -900, rotatex = -90, rotatez = -90},{x = 290, y = 1430, z = -900, rotatex = -90, rotatez = -100}},
	[3] = {{x = 280, y = 1300, z = -900, rotatex = -90, rotatez = -90},{x = 290, y = 1300, z = -900, rotatex = -90, rotatez = -100}},
	[4] = {{x = 370, y = 1260, z = -900, rotatex = -90, rotatez = -90},{x = 380, y = 1260, z = -900, rotatex = -90, rotatez = -100}},
	[5] = {{x = 640, y = 1260, z = -900, rotatex = -90, rotatez = -90},{x = 650, y = 1260, z = -900, rotatex = -90, rotatez = -100}},
	[6] = {{x = 715, y = 1285, z = -900, rotatex = -90, rotatez = -90},{x = 725, y = 1285, z = -900, rotatex = -90, rotatez = -100}},
	[7] = {{x = 715, y = 1425, z = -900, rotatex = -90, rotatez = -90},{x = 725, y = 1425, z = -900, rotatex = -90, rotatez = -100}},
	[8] = {{x = 630, y = 1460, z = -900, rotatex = -90, rotatez = -90},{x = 640, y = 1460, z = -900, rotatex = -90, rotatez = -100}},
}

-- 椅子相关
local Sofa = {
    [0] = { rotatez=180},
    [1] = { rotatez=180},
    [2] = { rotatez=110},
    [3] = { rotatez=55},
    [4] = { rotatez=0},
    [5] = { rotatez=0},
    [6] = { rotatez=-55},
    [7] = { rotatez=-110},
    [8] = { rotatez=180},
    [254] = { rotatez=90},
}

-- 人物相关
local Player = {
    [0] = { rotatez=180},
    [1] = { rotatez=180},
    [2] = { rotatez=110},
    [3] = { rotatez=55},
    [4] = { rotatez=0},
    [5] = { rotatez=0},
    [6] = { rotatez=-55},
    [7] = { rotatez=-110},
    [8] = { rotatez=180},
}


-- 聊天气泡显示
local EmotionBubble = {
	--气泡背景宽度，气泡背景每行的高度，文字和背景之间的间隙宽度，气泡中字体每行间隔，文字距离背景X轴偏移，文字距离背景Y轴偏移，字体大小，字体颜色，气泡显示时间
	[0] = {bgw = 150, gaph = 16, gapw = 20, gap = 24, line = 10, wordsx = 12, wordsy = 2, fontsize = 14, fontcolor = 0xFFFFFFFF, time = 6},
}

-- 聊天气泡位置偏移
local BubbleOffset = {
	--气泡X轴偏移，气泡y轴偏移（0-8表示客户端的座位号）
	[0] = {x = 370, y = 430},
	[1] = {x = 75, y = 430},
	[2] = {x = 2, y = 320},
	[3] = {x = 2, y = 160},
	[4] = {x = 185, y = 95},
	[5] = {x = 580, y = 95},
	[6] = {x = 760, y = 160},
	[7] = {x = 830, y = 335},
	[8] = {x = 665, y = 430},
}

-- 游戏结束后隔多长时间显示结算界面，单位MS
local function GetCountSec()
	return 2500
end

local function GetPlayerActionTime(Axis)
	-- 1-开局等待动作
	if (Axis == 1) then 
		return math.random(2,7) * 10000
	end
	-- 2-非角色操作期间（等待他人出牌的时间的休闲动作）
	if (Axis == 2) then 
		return math.random(3,10) * 10000
	end
	-- 3-角色弃牌后的时间（角色弃牌后至比赛结束前）,起始时间要大于3秒
	if (Axis == 3) then 
		return math.random(4,8) * 10000
	end
end

local function GetEmotionBubble(Axis)
	return EmotionBubble[0][Axis]
end

local function GetBubbleOffset(i,Axis)
	return BubbleOffset[i][Axis]
end

local function GetNpcSofaLook()
	return Table.NpcSofaLook
end

local function GetCardScale()
	return Cards.Scale
end

local function GetCardsObj(Suit,Value)
	return Cards[Suit][Value+1]
end

local function GetPublicCardsPos(i,Axis)
	return PublicCardsPos[i][Axis]
end

--i座位id，j第几张牌
local function GetHandCardsPos(i,j,Axis)
	return HandCardsPos[i][j+1][Axis]
end

local function GetTableBg(vip)
	if (f) then 
		return Table["TableBg"][1]
	else
		return Table["TableBg"][2]
	end
end

local function GetTableBgPos(Axis)
	return Table["TableBgPos"][Axis]
end

local function GetSofaInfo(i, Axis)
    return Sofa[i][Axis]
end

local function GetPlayerInfo(i, Axis)
    return Player[i][Axis]
end

-- 发牌员 
local function GetDealerInfo(Axis) 
return Dealer["info"][Axis] 
end 

local function GetDealerAction(Axis) 
return Dealer["action"][Axis] 
end

local PropUI = {
	--从赌桌内玩家头像旁边黄色人脸弹开的那个玩具对话框，只有一行的那种，长长的.它是水平方向滑动的
	--第1页
	[1] = {
		--第1页的页码
		["PageNum"] = "1/2",
		--单个道具相关的配置如下
		--第1个道具
		[1] = {
			--道具类型，对应服务器cq_config表type为160027,data1为1的数据，它的价格会是data2配置的
			["PropType"] = 1,
		},
		--第2个道具
		[2] = {
			--道具类型，对应服务器cq_config表type为160027,data1为2的数据，它的价格会是data2配置的
			["PropType"] = 2,
		},
		--第3个道具
		[3] = {
			--道具类型，对应服务器cq_config表type为160027,data1为3的数据，它的价格会是data2配置的
			["PropType"] = 3,
		},
	},
	--第2页
	[2] = {
		--第2页的页码
		["PageNum"] = "2/2",		
		--第4个道具
		[1] = {
			--道具类型，对应服务器cq_config表type为160027,data1为4的数据，它的价格会是data2配置的
			["PropType"] = 4,
		},
		--第5个道具
		[2] = {
			--道具类型，对应服务器cq_config表type为160027,data1为5的数据，它的价格会是data2配置的
			["PropType"] = 5,
		},
		--第6个道具
		[3] = {
			--道具类型，对应服务器cq_config表type为160027,data1为6的数据，它的价格会是data2配置的
			["PropType"] = 6,
		},		
	},
}

local function GetPropUI(page, index, key)
	if (key == "PageNum") then
		return PropUI[page][key]
	end
	return PropUI[page][index][key]
end

local PropType = {
	--道具，炸弹
	[1] = {
		--图标title
		["Icon"] = "Sqitem_ZhaPic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "sqzha",
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toys_bomb.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 6000,
	},
	--道具，鸡蛋
	[2] = {
		--图标title
		["Icon"] = "Sqitem_SeggPic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "sqegg",		
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toys_egg.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 6000,
	},
	--道具，咖啡
	[3] = {
		--图标title
		["Icon"] = "Sqitem_ScoffeePic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "sqcoffee",			
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toys_coffee.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 6000,
	},
	--道具，飞吻
	[4] = {
		--图标title
		["Icon"] = "Sqitem_SfeiPic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "sqfei",		
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toys_kiss.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 6000,
	},
	--道具，鲜花
	[5] = {
		--图标title
		["Icon"] = "Sqitem_FlowerPic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "sqflower",			
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toys_flowers.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 6000,
	},
	--道具，钞票
	[6] = {
		--图标title
		["Icon"] = "Sqitem_SmoneyPic",
		--金币价格
		["Price"] = 1000,
		--目标头像上的特效
		["TargetEffect"] = "sqmoney",		
		--与特效匹配的音效
		["Sound"] = "Sound/cop_toys_bill.wav",
		--冷却倒计时，单位毫秒，必须与服务端表一致，但服务端配置的是秒，客户端配的是毫秒，请注意单位转换，服务端冷却时间配在cq_config，type值为160027，data3字段
		["CoolTime"] = 6000,
	},
}

local function GetPropType(type, key)
	return PropType[type][key]
end

--道具列表窗口，会出现8个桌友的人模附近
--本处用于配置人模附近道具列表
local PropDialogPos = {
	--从自己左手边开始，顺时针数，距离第1个玩家交互界面菜单里“道具”菜单项的偏移
	[1] = {
		["x"] = 0,
		["y"] = 0,
	},
	--从自己左手边开始，顺时针数，距离第2个玩家交互界面菜单里“道具”菜单项的偏移
	[2] = {
		["x"] = 0,
		["y"] = 0,
	},
	--从自己左手边开始，顺时针数，距离第3个玩家交互界面菜单里“道具”菜单项的偏移
	[3] = {
		["x"] = 0,
		["y"] = 0,
	},
	--从自己左手边开始，顺时针数，距离第4个玩家交互界面菜单里“道具”菜单项的偏移
	[4] = {
		["x"] = 0,
		["y"] = 0,
	},
	--从自己左手边开始，顺时针数，距离第5个玩家交互界面菜单里“道具”菜单项的偏移
	[5] = {
		["x"] = 0,
		["y"] = 0,
	},
	--从自己左手边开始，顺时针数，距离第6个玩家交互界面菜单里“道具”菜单项的偏移
	[6] = {
		["x"] = 0,
		["y"] = 0,
	},
	--从自己左手边开始，顺时针数，距离第7个玩家交互界面菜单里“道具”菜单项的偏移
	[7] = {
		["x"] = 0,
		["y"] = 0,
	},
	--从自己左手边开始，顺时针数，距离第8个玩家交互界面菜单里“道具”菜单项的偏移
	[8] = {
		["x"] = 0,
		["y"] = 0,
	},	
}

local function GetPropDialogPos(index, key)
	return PropDialogPos[index][key]
end

local PropMotion = {
	--道具会飞，从发送者头像，移至受击者头像，这表现持续的时间长度，单位毫秒
	--玩家被道具打到后，道具会有爆开的特效，那些特效的ini/3DEffect.ini里的Delay需要配置得跟这里一致，才能保证道具先飞，飞到之后再爆开
	["Time"] = 500,
}

local function GetPropMotion(key)
	return PropMotion[key]
end

local SoundName = {
	["texas_use_prop"] = "Sound/cop_toys_click.wav", --使用牌桌玩具按钮的音效
}

local function GetSoundName(Axis)
    return SoundName[Axis]
end

-- 清理变量释放内存
local function Unload()
	ResultCardFlag = nil
	LearnPublicCardsPos = nil
        ChairRoleIdleAction = nil 
        ChipBetLimit = nil
	EffectInfo = nil
	Table = nil 
	Cards = nil
	PublicCardsPos = nil
	HandCardsPos = nil
	Dealer = nil
	PropMotion = nil
	PropDialogPos = nil
	PropType = nil
	PropUI = nil
	SoundName = nil
end

-- 通过require传给其他Lua脚本使用
local ShowHand = {
    GetHeldCardFlag = GetHeldCardFlag,
    GetLearnPublicCardsPos = GetLearnPublicCardsPos,
    GetChairRoleIdleActionTime = GetChairRoleIdleActionTime, 
    GetChairRoleIdleAction = GetChairRoleIdleAction, 
    GetBetLimit = GetBetLimit,
    GetEffectInfo = GetEffectInfo,
    GetCardScale = GetCardScale,
    GetCardsObj = GetCardsObj,
    GetHandCardsPos = GetHandCardsPos,
    GetNpcSofaLook = GetNpcSofaLook,
    GetPlayerInfo = GetPlayerInfo,
    GetPublicCardsPos = GetPublicCardsPos,
    GetSofaInfo = GetSofaInfo,
    GetTableBg = GetTableBg,
    GetTableBgPos = GetTableBgPos,
    GetEmotionBubble = GetEmotionBubble,
    GetBubbleOffset = GetBubbleOffset,
    GetPlayerActionTime = GetPlayerActionTime,
    GetCountSec = GetCountSec,
    GetDealerInfo = GetDealerInfo, 
    GetDealerAction = GetDealerAction,
    GetTableLook = GetTableLook,
	GetPropMotion = GetPropMotion,
	GetPropDialogPos = GetPropDialogPos,
	GetPropType = GetPropType,
	GetPropUI = GetPropUI,
	GetSoundName = GetSoundName,
    Unload = Unload,
}

-- C++程序使用的global函数名
ShowHand_GetHeldCardFlag = ShowHand.GetHeldCardFlag
ShowHand_GetLearnPublicCardsPos = ShowHand.GetLearnPublicCardsPos
ShowHand_GetChairRoleIdleActionTime = ShowHand.GetChairRoleIdleActionTime 
ShowHand_GetChairRoleIdleAction = ShowHand.GetChairRoleIdleAction
ShowHand_GetBetLimit = ShowHand.GetBetLimit
ShowHand_GetDealerInfo = ShowHand.GetDealerInfo
ShowHand_GetDealerAction = ShowHand.GetDealerAction
ShowHand_GetEffectInfo = ShowHand.GetEffectInfo
ShowHand_GetCardScale = ShowHand.GetCardScale
ShowHand_GetCardsObj = ShowHand.GetCardsObj
ShowHand_GetHandCardsPos = ShowHand.GetHandCardsPos
ShowHand_GetNpcSofaLook = ShowHand.GetNpcSofaLook
ShowHand_GetPlayerInfo = ShowHand.GetPlayerInfo
ShowHand_GetSofaInfo = ShowHand.GetSofaInfo
ShowHand_GetPublicCardsPos = ShowHand.GetPublicCardsPos
ShowHand_GetTableBg = ShowHand.GetTableBg
ShowHand_GetTableBgPos = ShowHand.GetTableBgPos
ShowHand_GetTableLook = ShowHand.GetTableLook
ShowHand_GetEmotionBubble = ShowHand.GetEmotionBubble
ShowHand_GetBubbleOffset = ShowHand.GetBubbleOffset
ShowHand_GetPlayerActionTime = ShowHand.GetPlayerActionTime
ShowHand_GetCountSec = ShowHand.GetCountSec
ShowHand_Unload = ShowHand.Unload
ShowHand_GetPropMotion = ShowHand.GetPropMotion
ShowHand_GetPropDialogPos = ShowHand.GetPropDialogPos
ShowHand_GetPropType = ShowHand.GetPropType
ShowHand_GetPropUI = ShowHand.GetPropUI
ShowHand_GetSoundName = ShowHand.GetSoundName

-- require返回值
return ShowHand
